package com.iamberry.app.core.entity;

import java.util.Date;

import org.springframework.beans.factory.annotation.Qualifier;

/**
 * @author Sikandar
 *
 */
@Qualifier("milk_powder_info")
public class MilkPowderInfo implements IEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7536029153324507472L;
	private Long id;										//id
	private String powder_number;				// 奶粉编号
	private String spoon_picture;					// 图片
	private String bar_code;							// 条形码
	private String brand;								// 品牌
	private String series;								// 类型
	private String level;									// 段数
	private String version_;							// 版本
	private String age_range;							// 适用年龄范围
	private Float weight_per_spoon;				// 每勺多少克
	private Float milk_volume_per_spoon;		// 奶量
	private Float powder_ratio;						// 比例
	private Float density;								//密度
	private Integer type;								//类型
	private String status_;								//状态
	
	private Date created_on;							//创建时间

	public MilkPowderInfo() {
	}

	public MilkPowderInfo(Long id, String version, String powder_number, String spoon_picture, String bar_code,
			String brand, String series, String level, String age_range, Float weight_per_spoon,
			Float milk_volume_per_spoon, Float powder_ratio, Float density, String status_, Date created_on) {
		super();
		this.id = id;
		this.version_ = version;
		this.powder_number = powder_number;
		this.spoon_picture = spoon_picture;
		this.bar_code = bar_code;
		this.brand = brand;
		this.series = series;
		this.level = level;
		this.age_range = age_range;
		this.weight_per_spoon = weight_per_spoon;
		this.milk_volume_per_spoon = milk_volume_per_spoon;
		this.powder_ratio = powder_ratio;
		this.density = density;
		this.status_ = status_;
		this.created_on = created_on;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getVersion_() {
		return version_;
	}

	public void setVersion_(String version_) {
		this.version_ = version_;
	}

	public String getPowder_number() {
		return powder_number;
	}

	public void setPowder_number(String powder_number) {
		this.powder_number = powder_number;
	}

	public String getSpoon_picture() {
		return spoon_picture;
	}

	public void setSpoon_picture(String spoon_picture) {
		this.spoon_picture = spoon_picture;
	}

	public String getBar_code() {
		return bar_code;
	}

	public void setBar_code(String bar_code) {
		this.bar_code = bar_code;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getAge_range() {
		return age_range;
	}

	public void setAge_range(String age_range) {
		this.age_range = age_range;
	}

	public Float getWeight_per_spoon() {
		return weight_per_spoon;
	}

	public void setWeight_per_spoon(Float weight_per_spoon) {
		this.weight_per_spoon = weight_per_spoon;
	}

	public Float getMilk_volume_per_spoon() {
		return milk_volume_per_spoon;
	}

	public void setMilk_volume_per_spoon(Float milk_volume_per_spoon) {
		this.milk_volume_per_spoon = milk_volume_per_spoon;
	}

	public Float getPowder_ratio() {
		return powder_ratio;
	}

	public void setPowder_ratio(Float powder_ratio) {
		this.powder_ratio = powder_ratio;
	}

	public Float getDensity() {
		return density;
	}

	public String getStatus_() {
		return status_;
	}

	public void setStatus_(String status_) {
		this.status_ = status_;
	}

	public void setDensity(Float density) {
		this.density = density;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Date getCreated_on() {
		return created_on;
	}

	public void setCreated_on(Date created_on) {
		this.created_on = created_on;
	}

}
